com.amazonaws.services.codebuild.model

## Class EnvironmentLanguage

- java.lang.Object
- - com.amazonaws.services.codebuild.model.EnvironmentLanguage

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnvironmentLanguage
    extends Object
    implements Serializable, Cloneable

A set of Docker images that are related by programming language and are managed by AWS CodeBuild.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentLanguage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnvironmentLanguage` `clone()`
`boolean` `equals(Object obj)`
`List<EnvironmentImage>` `getImages()` The list of Docker images that are related by the specified programming language.
`String` `getLanguage()` The programming language for the related set of Docker images.
`int` `hashCode()`
`void` `setImages(Collection<EnvironmentImage> images)` The list of Docker images that are related by the specified programming language.
`void` `setLanguage(LanguageType language)` The programming language for the related set of Docker images.
`void` `setLanguage(String language)` The programming language for the related set of Docker images.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`EnvironmentLanguage` `withImages(Collection<EnvironmentImage> images)` The list of Docker images that are related by the specified programming language.
`EnvironmentLanguage` `withImages(EnvironmentImage... images)` The list of Docker images that are related by the specified programming language.
`EnvironmentLanguage` `withLanguage(LanguageType language)` The programming language for the related set of Docker images.
`EnvironmentLanguage` `withLanguage(String language)` The programming language for the related set of Docker images.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentLanguage

    public EnvironmentLanguage()

### Method Detail

#### setLanguage

    public void setLanguage(String language)

The programming language for the related set of Docker images.

Parameters:
  `language` - The programming language for the related set of Docker images.
See Also:
  `LanguageType`

#### getLanguage

    public String getLanguage()

The programming language for the related set of Docker images.

Returns:
  The programming language for the related set of Docker images.
See Also:
  `LanguageType`

#### withLanguage

    public EnvironmentLanguage withLanguage(String language)

The programming language for the related set of Docker images.

Parameters:
  `language` - The programming language for the related set of Docker images.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LanguageType`

#### setLanguage

    public void setLanguage(LanguageType language)

The programming language for the related set of Docker images.

Parameters:
  `language` - The programming language for the related set of Docker images.
See Also:
  `LanguageType`

#### withLanguage

    public EnvironmentLanguage withLanguage(LanguageType language)

The programming language for the related set of Docker images.

Parameters:
  `language` - The programming language for the related set of Docker images.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LanguageType`

#### getImages

    public List<EnvironmentImage> getImages()

The list of Docker images that are related by the specified programming language.

Returns:
  The list of Docker images that are related by the specified programming language.

#### setImages

    public void setImages(Collection<EnvironmentImage> images)

The list of Docker images that are related by the specified programming language.

Parameters:
  `images` - The list of Docker images that are related by the specified programming language.

#### withImages

    public EnvironmentLanguage withImages(EnvironmentImage... images)

The list of Docker images that are related by the specified programming language.

NOTE: This method appends the values to the existing list (if any). Use `setImages(java.util.Collection)` or `withImages(java.util.Collection)` if you want to override the existing values.

Parameters:
  `images` - The list of Docker images that are related by the specified programming language.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withImages

    public EnvironmentLanguage withImages(Collection<EnvironmentImage> images)

The list of Docker images that are related by the specified programming language.

Parameters:
  `images` - The list of Docker images that are related by the specified programming language.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public EnvironmentLanguage clone()

Overrides:
  `clone` in class `Object`